<div class="row" ng-init="getProjects()">
  <div class="col-lg-12 col-md-12">
    <ol class="breadcrumb">
      <li class="active">
        <a ui-sref="nav.projects">Dashboard</a>
      </li>
    </ol>
  </div>
</div>
<span ng-if="loading == true">
  <center style="margin-top: 100px;">
    <%= image_tag "spiner.gif" %>
  </center>
</span>
<span ng-if="loading == false">
  <div class="row">
    <div class="col-lg-12 col-md-12">

      <projectlist></projectlist>
    </span>
  </div>
  <div class="col-md-4 col-lg-4"></div>
  <!-- /.col-lg-6 -->
</div>
</span>
<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none;">
<div class="modal-dialog">
  <div class="modal-content">
    <div class="modal-header">
      <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      <h4 class="modal-title" id="myModalLabel">Add new project</h4>
    </div>
    <div class="modal-body">
      <form>
        <div class="form-group">
          <label>Name</label>
          <input type="text" id="project_name" class="form-control" ng-model="newProject.name"  name="project[name]" placeholder="Name"/>
        </div>
        <div class="form-group">
          <label>Description</label>
          <textarea id="project_description" class="form-control" ng-model="newProject.description" name="project[description]" placeholder="Description"></textarea>
        </div>
      </form>
    </div>
    <div class="modal-footer">
      <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
      <button type="button" class="btn btn-success" data-dismiss="modal fade" data-ng-click="addProject()">
        <i class="fa fa-plus"></i>
      </button>
    </div>
  </div>
  <!-- /.modal-content -->
</div>
<!-- /.modal-dialog -->
</div>
<div class="modal fade" id="myModal1" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none;">
<div class="modal-dialog">
  <div class="modal-content">
    <div class="modal-header">
      <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      <h4 class="modal-title" id="myModalLabel">Update project
        {{updateProject.name}}</h4>
    </div>
    <div class="modal-body">
      <form>
        <div class="form-group">
          <label>Name</label>
          <input type="text" class="form-control" ng-model="updateProject.name" placeholder="Name"/>
        </div>
        <div class="form-group">
          <label>Description</label>
          <textarea class="form-control" ng-model="updateProject.description" placeholder="Description"></textarea>
        </div>
        <div class="form-group">
          <label>Status</label>
          <select class="form-control" ng-model="updateProject.status">
            <option value="Created">Created</option>
            <option value="InProgres">InProgres</option>
            <option value="Closed">Closed</option>
          </select>
        </div>
      </form>
    </div>
    <div class="modal-footer">
      <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
      <button type="button" class="btn btn-success" data-dismiss="modal" data-ng-click="updateProject()">Update</button>
    </div>
  </div>
  <!-- /.modal-content -->
</div>
<!-- /.modal-dialog -->
</div>
